/*      
   Tsunami for KallistiOS 1.1.9
        
   sound.h

   (c)2002 Dan Potter

   $Id: sound.h,v 1.2 2002/10/17 06:08:54 bardtx Exp $
*/

#ifndef __TSUNAMI_SOUND_H
#define __TSUNAMI_SOUND_H

#include "refcnt.h"

#include <dc/sound/sfxmgr.h>

class Sound : public RefCnt {
public:
	Sound(const char * fn);
	Sound();
	virtual ~Sound();

	// Play the sound effect with volume 240 and panning 0x80.
	void play();

	// Play with specified volume and panning 0x80.
	void play(int vol);

	// Play with specified volume and panning.
	void play(int vol, int pan);

	// Set the default volume value
	static void setDefaultVolume(int vol);

private:
	void loadFromFile(const char *fn);

	sfxhnd_t	m_index;

	static int	m_default_vol;
};

#endif	/* __TSUNAMI_SOUND_H */
